Description

Hi

foreman should expand the $environment var from puppet. (for dynamic puppet environments)

rgds f0

Associated revisions

Revision 6c500138 - 02/22/2012 09:25 AM - Ohad Levy

fixes #1387 - support puppet dynamic environments detection

Revision 0f2cfebb - 02/23/2012 02:45 AM - Ohad Levy

refs #1387 make sure that we won't fail if the modulepath detection is wrong

History

#1 - 12/09/2011 05:43 AM - Greg Sutcliffe
With regard to what?

#2 - 12/09/2011 07:20 AM - Florian Koch
with this you can use $environment in the puppet conf for environments e.g

[master]
modulepath=/etc/puppet/$environment /modules

#3 - 12/09/2011 05:26 PM - Steve Traylen

There's possibly good background to the benefit here:

http://puppetlabs.com/blog/git-workflow-and-puppet-environments/

Its way of adding new environments with out having to reconfigure the puppet master at all, i expect this is what Florian may want to acheive?
#4 - 12/10/2011 04:41 AM - Florian Koch
Steve Traylen wrote:

There's possibly good background to the benefit here:

http://puppetlabs.com/blog/git-workflow-and-puppet-environments/

Its way of adding new environments with out having to reconfigure the puppet master at all, i expect this is what Florian may want to acheive?

yes,exactly

#5 - 02/22/2012 09:24 AM - Ohad Levy
http://puppetlabs.com/blog/git-workflow-and-puppet-environments/
http://puppetlabs.com/blog/git-workflow-and-puppet-environments/

- Project changed from Foreman to Smart Proxy

- Category deleted (Puppet integration)

#6 - 02/22/2012 09:24 AM - Ohad Levy
- Subject changed from Foreman schould expand $environment to Class importer should support puppet dynamic environments
- Category set to Puppet

- Target version set to 1.0

#7 - 02/23/2012 07:47 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 6c500{38497c873626e3c71e1149da8ac97e06ff.
